@ECHO Off
REM %1 is the path to the program directory
REM %2 is the po name (LocalPO)
REM %3 is the path to the database directory
REM %4 is a target directory for WMREORG

IF %1 .==. GOTO CMDLINE_ERROR
IF %2 .==. GOTO CMDLINE_ERROR
IF %3 .==. GOTO CMDLINE_ERROR

IF EXIST %3\WMREORG.LOG COPY %3\WMREORG.LOG %3\WMREORG.OLD
IF EXIST %3\WMREORG.LOG DEL %3\WMREORG.LOG
                        
:ANALYZE
IF NOT EXIST %1\ANALYZE.EXE GOTO ANOTFOUND
ECHO Running ANALYZE...
ECHO IMPORTANT:  Please check the %3\WMREORG.LOG for ANALYZE result!
%1\ANALYZE.EXE %3 BATCH >%3\WMREORG.LOG
IF NOT ERRORLEVEL 1 GOTO WMCHECK
GOTO AERROR

:WMCHECK
IF NOT EXIST %1\WMCHECK.EXE GOTO CNOTFOUND
ECHO Running WMCHECK...
ECHO IMPORTANT:  Please check the %3\WMREORG.LOG for WMCHECK result!
%1\WMCHECK.EXE %2 MOBILE %3 BATCH DIAGNOSTICS/R >>%3\WMREORG.LOG
IF NOT ERRORLEVEL 1 GOTO WMREORG
GOTO CERROR

:WMREORG
IF NOT EXIST %1\WMREORG.EXE GOTO RNOTFOUND
ECHO Running WMREORG...
ECHO IMPORTANT:  Please check the %3\WMREORG.LOG for WMREORG result!
%1\WMREORG.EXE %2 MOBILE %3 %4 BATCH >>%3\WMREORG.LOG
IF NOT ERRORLEVEL 1 GOTO SUCCESS
GOTO RERROR

:SUCCESS
ECHO WMREORG for Mobile database successfully completed!
ECHO WMREORG for Mobile database successfully completed. >>%3\WMREORG.LOG

IF %4 .==. GOTO DONE

ECHO Copying the post office back from the temporary directory
COPY %4\MLANDATA %3 > NUL
COPY %4\CLANDATA %3 > NUL
COPY %4\USR*.*   %3 > NUL
COPY %4\NFT*.*   %3 > NUL
GOTO DONE

:CMDLINE_ERROR
ECHO MBRECL.BAT USAGE IS: 
ECHO   MBRECL {PROGRAMPATH} {PONAME} {POPATH} [TEMPDIR]
ECHO OFF
PAUSE
GOTO END

:ANOTFOUND
ECHO Cannot find ANALYZE program in {programpath} %1 directory!
ECHO Cannot find ANALYZE program in {programpath} %1 directory! >>%3\WMREORG.LOG
GOTO DONE

:CNOTFOUND
ECHO Cannot find WMCHECK program in {programpath} %1 directory!
ECHO Cannot find WMCHECK program in {programpath} %1 directory! >>%3\WMREORG.LOG
GOTO DONE

:RNOTFOUND
ECHO Cannot find WMREORG program in {programpath} %1 directory!
ECHO Cannot find WMREORG program in {programpath} %1 directory! >>%3\WMREORG.LOG
GOTO DONE

:AERROR
ECHO ANALYZE reports errors in the database!
ECHO ANALYZE REPORTS ERRORS IN THE DATABASE >>%3\WMREORG.LOG
PAUSE
GOTO DONE

:CERROR
ECHO WMCHECK for Mobile database failed!
ECHO WMCHECK FOR MOBILE DATABASE FAILED! >>%3\WMREORG.LOG
PAUSE
GOTO DONE

:RERROR
ECHO WMREORG for Mobile database failed!
ECHO WMREORG FOR MOBILE DATABASE FAILED! >>%3\WMREORG.LOG
PAUSE

:DONE
ECHO  Please check the %3\WMREORG.LOG for results!

:END
